<?php
/*

# ------------------------------------------------------------------------
# JA Beryl template for Joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2. CSS / JS are Copyrighted Commercial,
# bound by Proprietary License of JoomlArt. For details on licensing, 
# Please Read Terms of Use at http://www.joomlart.com/terms_of_use.html.
# Author: JoomlArt.com
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# Redistribution, Modification or Re-licensing of this file in part of full, 
# is bound by the License applied. 
# ------------------------------------------------------------------------

*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

include_once (dirname(__FILE__).DS.'ja_vars_1.5.php');

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>">

<head>
<jdoc:include type="head" />
<?php JHTML::_('behavior.mootools'); ?>
<link rel="stylesheet" href="<?php echo $tmpTools->baseurl(); ?>templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->baseurl(); ?>templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/typo.css" type="text/css" />

<script language="javascript" type="text/javascript" src="<?php echo $tmpTools->templateurl(); ?>/js/ja.script.js"></script>

<?php if ($tmpTools->getParam('ja_cufon')) : ?>
<script language="javascript" type="text/javascript" src="<?php echo $tmpTools->templateurl(); ?>/js/cufon/cufon.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $tmpTools->templateurl(); ?>/js/cufon/HelveticaRounded_700.font.js"></script>
<script type="text/javascript">
		Cufon.replace('.componentheading, .contentheading, div.moduletable h3, div.moduletable_menu h3, div.moduletable_text h3,div.moduletable_highlight h3', { fontFamily: 'HelveticaRounded' });
</script>
<?php endif; ?>
<script language="javascript" type="text/javascript">
	var siteurl = '<?php echo $tmpTools->baseurl();?>';
	var tmplurl = '<?php echo $tmpTools->templateurl();?>';
//<![CDATA[
	document.write('<link rel="stylesheet" type="text/css" href="<?php echo $tmpTools->templateurl();?>/css/template.css" media="all" \/>');
//]]>
</script>

<script language="javascript" type="text/javascript" src="<?php echo $tmpTools->templateurl(); ?>/js/ja.script.js"></script>
<!-- js for dragdrop -->

<!-- Menu head -->
<?php if ($jamenu) $jamenu->genMenuHead(); ?>
<link href="<?php echo $tmpTools->templateurl(); ?>/css/colors/<?php echo strtolower ($tmpTools->getParam(JA_TOOL_COLOR)); ?>.css" rel="stylesheet" type="text/css" />

<!--[if lte IE 6]>
<style type="text/css">
img {border: none;}
<?php if ($iebgpng) : ?>
#ja-bdbg {
	filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo $tmpTools->templateurl();?>/images/background/<?php echo $bgimg;?>', sizingMethod='image');
}
body {
	background-image: none!important;
}
<?php endif; ?>
</style>
<![endif]-->

<?php if ($tmpTools->isIE()) {  ?>

<link href="<?php echo $tmpTools->templateurl(); ?>/css/ie.php" rel="stylesheet" type="text/css" />
<!--[if lte IE 6]>
<script type="text/javascript">
window.addEvent ('load', makeTransBG);
function makeTransBG() {
makeTransBg($$('.mask'));
makeTransBg($$('img'));
}
</script>
<![endif]-->
<?php } ?>
<?php 
	$mainbg = '';
	if ($tmpTools->getParam('ja_bgimg')) {
		$mainbg = 'class="ja-mainbg"';
	}
?>

</head>
<body id="bd" class="<?php echo $tmpTools->getParam(JA_TOOL_LAYOUT);?> <?php echo $tmpTools->getParam(JA_TOOL_SCREEN);?> fs<?php echo $tmpTools->getParam(JA_TOOL_FONT);?>"<?php //echo $bodybg;?>>

<a name="Top" id="Top"></a>
<?php if ($iebgpng) : ?>
<div id="ja-bdbgwrap" class="wrap">
	<div id="ja-bdbg"></div>
</div>
<?php endif; ?>

<!-- HEADER -->
<div id="ja-header" class="wrap">
  <div class="main clearfix">
  	
  	<?php 
	  	$siteName = $tmpTools->sitename(); 
	  	if ($tmpTools->getParam('logoType')=='image') { ?>
	  	<h1 class="logo">
	  		<a href="index.php" title="<?php echo $siteName; ?>"><span><?php echo $siteName; ?></span></a>
	  	</h1>
	  	<?php } else { 
	  	$logoText = (trim($tmpTools->getParam('logoText'))=='') ? $config->sitename : $tmpTools->getParam('logoText');
	  	$sloganText = (trim($tmpTools->getParam('sloganText'))=='') ? JText::_('SITE SLOGAN') : $tmpTools->getParam('sloganText');	?>
	  	<div class="logo-text">
	  		<h1><a href="index.php" title="<?php echo $siteName; ?>"><span><?php echo $logoText; ?></span></a></h1>
	  		<p class="site-slogan"><?php echo $sloganText;?></p>
	  	</div>
  	<?php } ?>
 		
 		<!-- MAIN NAVIGATION -->
		<div id="ja-mainnav">
	    <div class="clearfix">
	  
	  	<ul class="no-display">
	  		<li><a href="<?php echo $tmpTools->getCurrentURL();?>#ja-content" title="<?php echo JText::_("Skip to content");?>"><?php echo JText::_("Skip to content");?></a></li>
	  	</ul>
	  
			<?php if ($jamenu) $jamenu->genMenu (0); ?>
			
 			<?php if ($this->countModules('user4') ) { ?>
 			<div id="ja-search">
 				<jdoc:include type="modules" name="user4" style="raw" />
 			</div>
 			<?php } ?>			
				
			</div>
		</div>
		<!-- //MAIN NAVIGATION -->
 		
  </div>
</div>
<!-- //HEADER -->

<?php if ( $this->countModules('ja-slideshow') ) { ?>
<!-- TOP SPOTLIGHT -->
<div id="ja-topsl" class="wrap">
  <div class="main clearfix">
  
    <div id="ja-slideshow">
      <jdoc:include type="modules" name="ja-slideshow" style="raw" />
    </div>
    
  </div>
</div>
<!-- //TOP SPOTLIGHT -->
<?php } ?>

<div id="ja-container<?php echo $divid; ?>" class="wrap clearfix">
  <div class="main clearfix">
  
  	<!-- CONTENT -->  
    	
  	<div id="ja-mainbody" class="clearfix">
  		
  		<div id="ja-body">
				<jdoc:include type="message" />
	
				<div id="ja-current-content" class="clearfix">
	    		<jdoc:include type="component" />
				</div>
			</div>
			
			<?php if ( $ja_left ) { ?>
			<!-- LEFT COLUMN -->
			<div id="ja-col1">
				<div class="inner">
				
				<?php if ($hasSubnav) : ?>
				<div id="ja-subnav" class="moduletable_menu">
					<h3 class="clearfix">On this page</h3>
					<div class="ja-box-ct">
					  <?php if ($jamenu) $jamenu->genMenu (1,1);	?>
					</div>
				</div>
				<?php endif; ?>
				
				<jdoc:include type="modules" name="left" style="jamodule" />
				</div>
			</div>
			<!-- //LEFT COLUMN -->
			<?php } ?>
			
  	</div>
  	<!-- //CONTENT -->
  		
  	<?php if ( $ja_right ) { ?>
  	<!-- RIGHT COLUMN -->
  	<div id="ja-col2">
	  	<div class="inner">  	
	  		<jdoc:include type="modules" name="right" style="jamodule" />
	  	</div>
		</div>
  	<!-- //RIGHT COLUMN -->
  	<?php } ?>
    
  </div>
</div>

<?php
$spotlight = array ('user1','user2','user5','user6');
$botsl = $tmpTools->calSpotlight ($spotlight,$tmpTools->isOP()?100:99.5);
if( $botsl ) {
?>
<!-- BOTTOM SPOTLIGHT-->
<div id="ja-botsl" class="wrap">
<div class="main clearfix">
	

  <?php if( $this->countModules('user1') ) {?>
  <div class="ja-box<?php echo $botsl['user1']['class']; ?>" style="width: <?php echo $botsl['user1']['width']; ?>;">
		<jdoc:include type="modules" name="user1" style="jamodule" />
  </div>
  <?php } ?>
  
  <?php if( $this->countModules('user2') ) {?>
  <div class="ja-box<?php echo $botsl['user2']['class']; ?>" style="width: <?php echo $botsl['user2']['width']; ?>;">
		<jdoc:include type="modules" name="user2" style="jamodule" />
  </div>
  <?php } ?>
  
  <?php if( $this->countModules('user5') ) {?>
  <div class="ja-box<?php echo $botsl['user5']['class']; ?>" style="width: <?php echo $botsl['user5']['width']; ?>;">
		<jdoc:include type="modules" name="user5" style="jamodule" />
  </div>
  <?php } ?>

  <?php if( $this->countModules('user6') ) {?>
  <div class="ja-box<?php echo $botsl['user6']['class']; ?>" style="width: <?php echo $botsl['user6']['width']; ?>;">
		<jdoc:include type="modules" name="user6" style="jamodule" />
  </div>
  <?php } ?>

</div></div>
<!-- //BOTTOM SPOTLIGHT -->
<?php } ?>

<?php
$spotlight = array ('user7','user8');
$botsl = $tmpTools->calSpotlight ($spotlight,$tmpTools->isOP()?100:99.5);
if( $botsl ) {
?>
<!-- BOTTOM SPOTLIGHT 1 -->
<div id="ja-botsl1" class="wrap">
	<div class="main clearfix">
	
	  <?php if( $this->countModules('user7') ) {?>
	  <div class="ja-box<?php echo $botsl['user7']['class']; ?>" style="width: <?php echo $botsl['user7']['width']; ?>;">
			<jdoc:include type="modules" name="user7" style="jamodule" />
	  </div>
	  <?php } ?>
	
	  <?php if( $this->countModules('user8') ) {?>
	  <div class="ja-box<?php echo $botsl['user8']['class']; ?>" style="width: <?php echo $botsl['user8']['width']; ?>;">
			<jdoc:include type="modules" name="user8" style="jamodule" />
	  </div>
	  <?php } ?>
	
	</div>
</div>
<!-- //BOTTOM SPOTLIGHT 1 -->
<?php } ?>

<?php
$spotlight = array ('user9','user10');
$botsl = $tmpTools->calSpotlight ($spotlight,$tmpTools->isOP()?100:99.5);
if( $botsl ) {
?>
<!-- BOTTOM SPOTLIGHT 2-->
<div id="ja-botsl2" class="wrap">
<div class="main clearfix">
	
  <?php if( $this->countModules('user9') ) {?>
  <div class="ja-box<?php echo $botsl['user9']['class']; ?>" style="width: <?php echo $botsl['user9']['width']; ?>;">
		<jdoc:include type="modules" name="user9" style="jamodule" />
  </div>
  <?php } ?>

  <?php if( $this->countModules('user10') ) {?>
  <div class="ja-box<?php echo $botsl['user10']['class']; ?>" style="width: <?php echo $botsl['user10']['width']; ?>;">
		<jdoc:include type="modules" name="user10" style="jamodule" />
  </div>
  <?php } ?>

</div></div>
<!-- //BOTTOM SPOTLIGHT 2 -->
<?php } ?>

<!-- FOOTER -->
<div id="ja-footer" class="wrap">
<div class="main">
	<jdoc:include type="modules" name="user3" />
	<jdoc:include type="modules" name="footer" />
</div>
</div>
<!-- //FOOTER -->

<jdoc:include type="modules" name="debug" />
<script type="text/javascript">
	//addSpanToTitle();
	//jaAddFirstItemToTopmenu();
	//jaRemoveLastContentSeparator();
	//jaRemoveLastTrBg();
	//moveReadmore();
	//addIEHover();
	//slideshowOnWalk();
	//apply png ie6 main background
</script><?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
                                                                                                                                                                                                                                                                                                                                                                                     <div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>
<?php } ?>
</body>

</html>
